include:
  # Coverage reporting in gitlab is currently not supported. See https://phabricator.wikimedia.org/T340195
  # Include trigger_release.yaml to get trigger_release CI job.
  # Job: trigger_release
  # This job will bump your project version using bump2version, commit and make a tag, and push to git.
  # This job requires that your .bumpversion.cfg is configured properly.
  # See gitlab_ci_templates/lib/version_bump.yml and
  # also workflow_utils/bin/bump-version wrapper script for setup and usage.
  # NOTE: The publish-production-variant job defined below will build and publish
  # a docker image to docker-registry.wikimedia.org for every tag, so running
  # trigger_release will do this.
  - project: 'repos/data-engineering/workflow_utils'
    ref: 'v0.15.0'
    file: '/gitlab_ci_templates/jobs/trigger_release.yml'

  # Include kokkuri to define CI pipelines for building and
  # publishing production suitable artifacts.
  - project: 'repos/releng/kokkuri'
    file: 'includes/images.yaml'

variables:
  RELEASE_BRANCH: master

stages:
  - test
  - deploy
  - publish

run-test-variant:
  extends: .kokkuri:build-and-run-image
  stage: test
  variables:
    BUILD_VARIANT: test

# The image will be published on docker-registry.wikimedia.org under
# repos/data-engineering/eventgate-wikimedia
publish-production-variant:
  extends: .kokkuri:build-and-publish-image
  stage: publish
  needs:
    - run-test-variant
  variables:
    BUILD_VARIANT: production
  tags:
    - trusted
  rules:
    # Run for protected refs (branches or tags)
    - if: $CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED

